<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      <ion-grid>
        <ion-row>
          <ion-col size="3">
            <ion-icon
              class="ion-text-start"
              (click)="openMenu()"
              name="menu-outline"
            ></ion-icon>
          </ion-col>
          <ion-col size="7">
            <ion-title
            >{{ loadedNote.title ? 'Watching note' : 'No note loaded'
            }}</ion-title
          >
          </ion-col>
          <ion-col size="1">
            <ion-icon
              class="ion-text-end"
              [routerLink]="['/note/edit', loadedNote.id]"
              name="create-outline"
            ></ion-icon>
          </ion-col>
          <ion-col size="1">
            <ion-icon
              *ngIf="loadedNote.title"
              class="ion-text-end"
              (click)="deleteNote()"
              name="trash-outline"
            ></ion-icon>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="parentFolder && parentFolder.color" class="color-line" [ngStyle]="{'background-color': parentFolder.color}">
        </ion-row>
      </ion-grid>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="note-bg">
  <ion-backdrop *ngIf="!loaded"></ion-backdrop>
  <div class="margin-bottom-custom note-bg">
    <ion-item lines="none"
      *ngIf="loadedNote && loadedNote.imageUrl && loadedNote.imageUrl != '0' && loadedNote.imageUrl != 'undefined'"
    >
      <div
        class="img-container ion-margin ion-text-center"
      >
        <ion-img-viewer
          class="image-style"
          [title]="loadedNote.title " 
          [text]="loadedNote.content" 
          scheme="dark" 
          [src]="loadedNote.imageUrl">
        </ion-img-viewer>
      </div>
  
    </ion-item>
    <ion-item>
      <ion-card-header>
        <ion-card-subtitle>{{ folderRoute ? folderRoute + ' >' : ''}}</ion-card-subtitle>
        <ion-card-title>{{ loadedNote.title }}</ion-card-title>
      </ion-card-header>
    </ion-item>
    <ion-item>
      <ion-grid>
        <ion-row>
          <ion-text color="medium" style="margin-top: 10px; margin-bottom: 10px;">Content</ion-text>
        </ion-row>
        <ion-row>
          <ion-text color="dark" style="margin-bottom: 10px;">{{ loadedNote && loadedNote.content ? loadedNote.content : "Select a note first" }}</ion-text>
        </ion-row>
      </ion-grid>
      
    </ion-item>
    <ion-item *ngIf="loadedNote && loadedNote.listItems && loadedNote.listItems.length > 0" >
      <ion-grid>
        <ion-row>
          <ion-list style="background-color: #FFFBEA;" lines="none" class="ion-no-padding ion-no-margin width-100">
              <ion-text color="medium"> To do</ion-text>
              <ion-badge class="ion-margin-horizontal" style="margin-top: 10px;"
              [color]="doneItemsNumber == loadedNote.listItems.length ? 'success' :
              doneItemsNumber == 0 ? 'danger' : 'warning'">
                {{loadedNote.listItems.length - doneItemsNumber}}/{{loadedNote.listItems.length}}
              </ion-badge>
              <ion-item class="ion-no-margin ion-no-padding" *ngFor="let item of getTodoItems()">
                <ion-label>{{truncateString(item.item, 40)}}</ion-label>
                <ion-checkbox color="success" (ionChange)="check(item, true)"></ion-checkbox>
              </ion-item>
          </ion-list>
        </ion-row>
      </ion-grid>
    </ion-item>
    <ion-item *ngIf="loadedNote && loadedNote.listItems && loadedNote.listItems.length > 0" >
      <ion-grid>
        <ion-row>
          <ion-list style="background-color: #FFFBEA;" lines="none" class="ion-no-padding ion-no-margin width-100">
            <ion-text color="medium">Done</ion-text>
            <ion-badge class="ion-margin-horizontal" style="margin-top: 10px;"
            [color]="doneItemsNumber == loadedNote.listItems.length ? 'success' :
            doneItemsNumber == 0 ? 'danger' : 'warning'">
              {{doneItemsNumber}}/{{loadedNote.listItems.length}}
            </ion-badge>
            <ion-item class="ion-no-margin ion-no-padding" *ngFor="let item of getDoneItems()">
              <ion-label>{{truncateString(item.item, 40)}}</ion-label>
              <ion-checkbox color="success" checked (ionChange)="check(item, false)"></ion-checkbox>
            </ion-item>
          </ion-list>
        </ion-row>
      </ion-grid>
    </ion-item>
  </div>
</ion-content>
